package it.mokabyte.cache;

/**
 *  Classe per la generazione dell'istanza di cache
 *
 *@author     luca dozio
 *@created    26 maggio 2003
 *@version    1.0
 */

public class FactoryCache {

    /**
     *  costante per il pilotaggio della generazione di un'istanza locale di cache
     */
    public final static String LOCAL = "LOCAL";
   /**
     *  costante per il pilotaggio della generazione di un'istanza remota di cache
     */
    public final static String JNDI = "JNDI";

     /**
     *  costante per il pilotaggio della generazione di un'istanza jmx di cache
     */
    public final static String JMX = "JMX";


    /**
     *  Constructor for the FactoryCache object
     */
    public FactoryCache() { }


    /**
     *  metodo factory per la creazione dell'istanza di cache corretta
     *
     *@param  typeCache  identifica l'istanza di cache da creare
     *@return            l'istanza di cache generata
     */
    public static ICache getCache(String typeCache) {
        if (typeCache.equalsIgnoreCase(LOCAL)) {
            return new LocalCache();
        }
        if (typeCache.equalsIgnoreCase(JNDI)) {
            return new JNDICache();
        }
        if (typeCache.equalsIgnoreCase(JMX)) {
            return new LocalCache();
        }
        return null;
    }
}
