package it.mokabyte.cache.locator;


import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
/**
 * classe per la inizializzazione del contesto
 *
 *@author     unascribed
 *@created    27 maggio 2003
 *@version    1.0
 */

public class CacheServiceLocator {

    /**
     *  indica la classe di factory di JBOSS
     */
    public final static String JBOSS_ENV = "org.jnp.interfaces.NamingContextFactory";
    /**
     *  indica il provider URL per JBOSS
     */
    public final static String JBOSS_JNDI_PROVIDER = "jnp://localhost:1099";


    /**
     *  Constructor for the CacheServiceLocator object
     */
    public CacheServiceLocator() { }


    /**
     *  Recupero il contesto di naming per il topic CacheManager
     *
     *@return                      valore del contesto
     *@exception  NamingException
     */

    public static Context getContext() throws NamingException {
        Context ctx;
        if ((System.getProperty(Context.INITIAL_CONTEXT_FACTORY) != null) &&
                (System.getProperty(Context.PROVIDER_URL) != null)) {
            ctx = new InitialContext();

        } else {
            java.util.Properties p = new java.util.Properties();
            p.setProperty(Context.INITIAL_CONTEXT_FACTORY, JBOSS_ENV);
            p.setProperty(Context.PROVIDER_URL, JBOSS_JNDI_PROVIDER);
            ctx = new InitialContext(p);

        }
        return ctx;
    }

}
